import { t as e } from "./flow-Ddf397LS.mjs";
import { createBlock as t, defineComponent as n, openBlock as r, useModel as i } from "vue";
//#endregion
//#region src/pages/flow-create/flow-model/createComponents/step3.vue
var a = /* @__PURE__ */ n({
	name: "CreateStep3",
	__name: "step3",
	props: {
		modelValue: {},
		modelModifiers: {}
	},
	emits: ["update:modelValue"],
	setup(n) {
		let a = i(n, "modelValue");
		function o(e) {
			a.value.bpmnXml = e;
		}
		return (n, i) => (r(), t(e, {
			"flow-id": a.value.key,
			"flow-name": a.value.name,
			"xml-string": a.value.bpmnXmlBase64,
			onSave: o
		}, null, 8, [
			"flow-id",
			"flow-name",
			"xml-string"
		]));
	}
});
//#endregion
export { a as t };
